IDiskAtomFilter.Serializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.filter

## Class IDiskAtomFilter.Serializer

- java.lang.Object
- - org.apache.cassandra.db.filter.IDiskAtomFilter.Serializer

- All Implemented Interfaces:
    IVersionedSerializer<IDiskAtomFilter>
  Enclosing interface:
    IDiskAtomFilter

      public static class IDiskAtomFilter.Serializer
      extends java.lang.Object
      implements IVersionedSerializer<IDiskAtomFilter>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Serializer(CellNameType type)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDiskAtomFilter` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(IDiskAtomFilter filter, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(IDiskAtomFilter filter, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Serializer

          public Serializer(CellNameType type)

  - ### Method Detail

    - #### serialize

          public void serialize(IDiskAtomFilter filter,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<IDiskAtomFilter>`
      Parameters:
        `filter` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public IDiskAtomFilter deserialize(java.io.DataInput in,
                                             int version)
                                      throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<IDiskAtomFilter>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(IDiskAtomFilter filter,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<IDiskAtomFilter>`
      Parameters:
        `filter` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation